//-*-c++-*--------------------------------------------------------------
//  nsrDebug.cpp
//   Code to support the Debug object.
//
//      Unpublished Confidential Information of Hewlett-Packard
//      Company. Do not disclose.  Copyright (c) Hewlett-Packard
//      Company 1995. All rights reserved
// 
// The contents of this software are proprietary and confidential to
// the Hewlett- Packard Company, and are limited in distribution to
// those with a direct need to know.  Individuals having access to
// this software are responsible for maintaining the confidentiality
// of the content and for keeping the software secure when not in use.
// Transfer to any party is strictly forbidden other than as expressly
// permitted in writing by Hewlett-Packard Company.  Unauthorized
// transfer to or possession by any unauthorized party may be a
// criminal offense.
//
//                  RESTRICTED RIGHTS LEGEND
//
//      Use,  duplication,  or disclosure by the U. S. Government is
//      subject to restrictions as set forth in subparagraph (c) (1)
//      (ii) in the Rights in Technical Data and Computer Software
//      clause in DFARS 252.227-7013 or any other successor clause.
//
//                      HEWLETT-PACKARD COMPANY
//                      3000 Hanover St.
//                      Palo Alto, CA  94304 U.S.A.
//
//      Rights for non-DOD U.S. Government Departments and Agencies
//      are as set forth in FAR 52.227-19 (c) (1,2) or any other
//      successor clause.
//
//  CLASSES:
//   Debug
//  
//----------------------------------------------------------------------
//
// $Source: /projects/HMS/nsr/udfCore/sys/nsrDebug.cpp,v $
// $Revision: 1.9 $     $Author: hmgr $
// $State: Exp $        $Locker:  $
// $Date: 96/05/23 09:22:31 $
//
#include "nsrLib.h"

NSR::Debug::Debug(Boolean verify) :
    tagId       (tag_Unknown),
    ISOVerify   (verify)
{}

void
NSR::Debug::holdImage( BYTE_PTR rbp, UINT16 len )
{
    if ( ISOImage.length() == 0 ) {   // Capture ONLY the first one!
        desc.fromISOBlind(rbp);
        tagId = desc.type();
        ISOImage.setLen(len);      // resize the ByteArray
        ISOImage.fromMem(rbp);
    }
}

NSR::Debug NSR::debug(NSR::True);
